version: "3"

# test
services:
  db:
    restart: always
    image: postgres:latest
    ports:
      - "5433:5432"
    volumes:
      - pgdata:/var/lib/postgresql/data/
    env_file: .env
  web:
    image: ${WEB_IMAGE}
    restart: always
    expose:
      - "8000"
    links:
      - db:db
    volumes:
      - web-django:/usr/src/
      - web-static:/usr/src/static/
    env_file: .env
    command: /usr/local/bin/gunicorn Blog.wsgi:application -w 2 -b :8000
    depends_on:
      - db
  nginx:
    restart: always
    build: ./config/nginx/
    ports:
      - "${NGINX_PORT}:8000"
    volumes:
      - web-static:/static
    links:
      - web:web

volumes:
  web-django:
  web-static:
  pgdata:
